Get environments for service

Base URL
https://{kibana_url}
  • GET /api/apm/settings/agent-configuration/environments
  • GET /s/{space_id}/api/apm/settings/agent-configuration/environments
Auth

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

serviceName string

The name of the service

Header parameters

elastic-api-version enum · default: 2023-10-31 required

The version of the API to use

Values: 2023-10-31

Responses

Successful response

application/json
environments object[]

Service environment list

alreadyConfigured boolean

Already configured

name string

Service environment name

Bad Request response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Unauthorized response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Not found response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Base URL
https://{kibana_url}